"use strict";
const common_vendor = require("../../../common/vendor.js");
const sheep_index = require("../../index.js");
require("../../url/index.js");
require("../../store/index.js");
require("../../store/app.js");
require("../../api/promotion/diy.js");
require("../../request/index.js");
require("../../config/index.js");
require("../../platform/index.js");
require("../../platform/provider/wechat/index.js");
require("../../platform/provider/wechat/miniProgram.js");
require("../../api/member/auth.js");
require("../../api/member/social.js");
require("../../api/member/user.js");
require("../../platform/provider/apple/index.js");
require("../../platform/share.js");
require("../../router/index.js");
require("../../hooks/useModal.js");
require("../../helper/index.js");
require("../../helper/test.js");
require("../../helper/digit.js");
require("../../helper/throttle.js");
require("../../platform/pay.js");
require("../../api/pay/order.js");
require("../../store/user.js");
require("../../store/cart.js");
require("../../api/trade/cart.js");
require("../../api/pay/wallet.js");
require("../../api/trade/order.js");
require("../../api/promotion/coupon.js");
require("../../store/sys.js");
require("../../store/modal.js");
require("../../config/zIndex.js");
if (!Array) {
  const _easycom_uni_badge2 = common_vendor.resolveComponent("uni-badge");
  _easycom_uni_badge2();
}
const _easycom_uni_badge = () => "../../../uni_modules/uni-badge/components/uni-badge/uni-badge.js";
if (!Math) {
  _easycom_uni_badge();
}
const _sfc_main = {
  __name: "s-order-card",
  setup(__props) {
    const orderMap = [
      {
        title: "待付款",
        value: "1",
        icon: "/static/img/shop/order/no_pay.png",
        path: "/pages/order/list",
        type: "unpaid",
        count: "unpaidCount"
      },
      {
        title: "待收货",
        value: "3",
        icon: "/static/img/shop/order/no_take.png",
        path: "/pages/order/list",
        type: "noget",
        count: "deliveredCount"
      },
      {
        title: "待评价",
        value: "4",
        icon: "/static/img/shop/order/no_comment.png",
        path: "/pages/order/list",
        type: "nocomment",
        count: "uncommentedCount"
      },
      {
        title: "售后单",
        value: "0",
        icon: "/static/img/shop/order/change_order.png",
        path: "/pages/order/aftersale/list",
        type: "aftersale",
        count: "afterSaleCount"
      },
      {
        title: "全部订单",
        value: "0",
        icon: "/static/img/shop/order/all_order.png",
        path: "/pages/order/list"
      }
    ];
    const numData = common_vendor.computed(() => sheep_index.sheep.$store("user").numData);
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(orderMap, (item, k0, i0) => {
          return {
            a: common_vendor.unref(sheep_index.sheep).$url.static(item.icon),
            b: "85ba17ee-0-" + i0,
            c: common_vendor.p({
              text: common_vendor.unref(numData).orderCount[item.count],
              absolute: "rightTop",
              size: "small"
            }),
            d: common_vendor.t(item.title),
            e: item.title,
            f: common_vendor.o(($event) => common_vendor.unref(sheep_index.sheep).$router.go(item.path, {
              type: item.value
            }), item.title)
          };
        })
      };
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-85ba17ee"], ["__file", "/Users/RuHu.Xu/Desktop/mall-newfeifan-zx-app/sheep/components/s-order-card/s-order-card.vue"]]);
wx.createComponent(Component);
